import { CategoryAxisBase } from "./CategoryAxisBase";
import { ISortingAxis } from "./ISortingAxis";
import { IDateTimeAxis } from "./IDateTimeAxis";
import { IFastItemColumn$1 } from "igniteui-react-core/ES5/IFastItemColumn$1";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { AxisOrientation } from "./AxisOrientation";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { CategoryMode } from "./CategoryMode";
import { IList$1, Type } from "igniteui-react-core/ES5/type";
import { AxisRangeChangedEventArgs } from "./AxisRangeChangedEventArgs";
import { SortedListView$1 } from "./SortedListView$1";
import { Series } from "./Series";
import { AxisLabelPanelBase } from "./AxisLabelPanelBase";
export declare abstract class TimeAxisBase extends CategoryAxisBase implements ISortingAxis, IDateTimeAxis {
    constructor();
    dt(a: number, b: ScalerParams): number;
    private k6(a, b, c, d);
    private k7(a, b, c);
    dw(a: number, b: ScalerParams): number;
    getUnscaledValue3(a: number, b: Rect, c: Rect, d: CategoryMode): number;
    i$h(): void;
    li(): void;
    protected ln(): void;
    dateTimeMemberPath: string;
    kq: IFastItemColumn$1<Date>;
    private kp;
    private ky;
    protected kz: List$1<number>;
    readonly i$b: List$1<number>;
    protected lj(): void;
    i$e(a: Rect, b: Rect, c: Rect, d: Rect): number;
    i$g(a: Rect, b: Rect, c: Rect, d: Rect): number;
    i$d(a: number): number;
    i$c(a: number): number;
    protected k8(a: Date, b: SortedListView$1<Date>): number;
    i$f(a: number): number;
    i$i(): void;
    kv: boolean;
    private kt;
    protected get_ku(): boolean;
    protected set_ku(a: boolean): void;
    ku: boolean;
    gp(a: string): void;
    gs(a: any): void;
    gr(a: any): void;
    cm(): boolean;
    protected kx(): boolean;
    protected kw(): boolean;
    private k1;
    actualMinimumValue: Date;
    private k0;
    e3(): any;
    actualMaximumValue: Date;
    e2(): any;
    minimumValue: Date;
    maximumValue: Date;
    private lk(a);
    protected gn(a: any, b: string, c: any, d: any): void;
    private lh(a, b);
    protected kr(a: string): IFastItemColumn$1<Date>;
    static ks(a: string, b: CategoryAxisBase): IFastItemColumn$1<Date>;
    as(): AxisLabelPanelBase;
    protected get_az(): AxisOrientation;
    readonly az: AxisOrientation;
    protected g0(a: boolean): void;
    protected get_b5(): boolean;
    readonly b5: boolean;
    protected startCursor(): void;
    protected resetCursor(): void;
    StartTimeCursor(): void;
    ResetTimeCursor(): void;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    getGroupCenter(a: number, b: Rect, c: Rect, d: Rect): number;
    jj(a: Rect, b: Rect, c: Rect): number;
    protected get_cc(): boolean;
    readonly cc: boolean;
    protected lg(a: Date, b: Date): number;
    preferredCategoryMode(a: Series): CategoryMode;
    actualRangeChanged: (sender: any, e: AxisRangeChangedEventArgs) => void;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    readonly i$a: boolean;
    static $$p: string[];
    static $t: Type;
}
